Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.SplitDocumentInfo Class Reference
Inheritance diagram for com.foxit.sdk.pdf.SplitDocumentInfo:

## Public Member Functions
| SplitDocumentInfo (String file_path, String password) throws com.foxit.sdk.PDFException
| Constructor, with parameters. More...
| SplitDocumentInfo (FileReaderCallback file_reader, String password, String file_name) throws com.foxit.sdk.PDFException
| Constructor, with parameters. More...
| SplitDocumentInfo (PDFDoc doc, String file_name)
| Constructor, with parameters. More...
| SplitDocumentInfo (SplitDocumentInfo other)
| Constructor, with another information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

This class represents information of source PDF document which is to be split.

## Constructor & Destructor Documentation

## ◆ SplitDocumentInfo() [1/4]

com.foxit.sdk.pdf.SplitDocumentInfo.SplitDocumentInfo | ( | String | file_path,
|  | String | password
| ) |  | throws com.foxit.sdk.PDFException

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function SplitPDFDoc.startSplitByFileSize .

Parameters

  [in] | file_path | File path of a PDF file, which is to be split.
  [in] | password | Owner password of PDF file which is specified by parameter file_path.

## ◆ SplitDocumentInfo() [2/4]

com.foxit.sdk.pdf.SplitDocumentInfo.SplitDocumentInfo | ( | FileReaderCallback | file_reader,
|  | String | password,
|  | String | file_name
| ) |  | throws com.foxit.sdk.PDFException

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function SplitPDFDoc.startSplitByFileSize .

Parameters

  [in] | file_reader | A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user to be split.It should not be null.
  [in] | password | Owner password of PDF file which is specified by parameter file_reader.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ SplitDocumentInfo() [3/4]

com.foxit.sdk.pdf.SplitDocumentInfo.SplitDocumentInfo | ( | PDFDoc | doc,
|  | String | file_name
| ) |  |

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function SplitPDFDoc.startSplitByFileSize .

Parameters

  [in] | doc | A valid PDF document object which represents a PDF file to be split. Please ensure input PDF document object have been loaded; otherwise unknown error may occur later when current information object is used.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ SplitDocumentInfo() [4/4]

com.foxit.sdk.pdf.SplitDocumentInfo.SplitDocumentInfo | ( | SplitDocumentInfo | other | ) |

Constructor, with another information object.

Parameters

  [in] | other | Another information object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.SplitDocumentInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.SplitDocumentInfo.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.